general_help="""Article tab: In this text entry, you must enter your article text. 

Advanced Entry tab:
Title: Enter your article title.
Optional Excerpt (only wordpress):
An excerpt is a condensed description of your blog post. The excerpt is used to describe your post in RSS feeds and is typically used in displaying search results.

Extended entry tab (only wordpress):
The text in this entry won't be seen in the main article, else that it will show a link 'Read more'.

Others tab: see specific help

Preview tab (only OS2008): In this tab will appear a preview of the written article.
It won't be showed like in your blog since it will depend on the style/theme of your blog, but it's a useful approximation.

Preview Menu (only OS2007-OS2006): The browser will be opened for preview the article.
Equally, it won't be showed like in your blog since it will depend on the style/theme of your blog, but it's a useful approximation.

HTML tags: see specific help. Press in + button in the toolbar, and press Help in the dialog.

Preferences: see specific help.

Categories (only Wordpress): This option lists the available categories in your blog.
You can choose multiple categories.
You must be connected to Internet and with the settings setted to receive the categories list. 

Labels (only Blogger): see specific help.


Delete Articles: You can delete articles already published with this option.
You get a list with articles on your blog, and you can choose which items to remove.
You need a internet connection for delete articles.

Flickr Upload: see specific help.

Publish: Publish the article.
Obviously you need to have an internet connection to do it.
The local defined images will be uploaded to the server at this moment.
"""

others_help="""Trackbacks (only wordpress): this option allows to give trackbacks to any url.  

Technorati Tags: it allows to add technorati tags to the article to publishing.  

Separate every technorati tag and trackback with ;
See the examples for the tags with more than one word.
Examples:
Blog;maemo wordpy;internet tablets;wordpy 
http://yerga.net/blog;http://example.com 

Alow pings (only wordpress): if this option is activated, pingbacks and trackbacks will be allow to the article to publishing.

Allow comments (only wordpress): if this option is activated, in the article the comments will be allow.
If this option is deactivated, in the article won't be allow the comments.

Publish: if this option is activated, the article will be published whereas if this option is deactivated the article will be staying as a draft in the server and it won't be published.
"""

html_tags_help="""What are HTML tags?
HTML tags are HTML code that is used to format a web page.

For example, HTML tags are used to format text. We may use the tag <b> to define bold text, other tag for choose the font size, etc..
HTML tags are also used to align an element on a web page.
Another example would be to define an image in a web page ..

In Maemo WordPy case, our web page will be the article written. It means HTML tags will show a good look at our Wordpress blog ;)
How to use the tags?
The tags are defined by a start element and an end element. For example, in bold text, the start element is <b> and the end element is </b>. Other tags can have attributes such as link tag: <a href="">

Using these tags in Maemo WordPy

Most of the tags in Maemo WordPy are for formatting text, so you must select a text in your article and press on the tag button you want to add to that text. The result will be similar to <b>bold text</b>.

Some tags have attributes such as link, abbreviation, font color, etc.. In this case, you must select a text and press on the tag properly, a dialog will be displayed and you should enter its attribute.
For example in the case of a link to another site, the attribute is the URL of this site. The result should be similar to <a href="http://www.example.com">example.com</a>

In other tags as the image tag, you don't need to select any text.

Available HTML tags
Renders as bold text.

Renders as italic text.

Create a link to another document.

Defines the start of a long quotation.

Defines underlined text.

Defines text that has been deleted in a document.

Defines an image.

Defines a paragraph.

Display a dialog with the following writting tags:

How to align the text in the section chosen:

    * Align left.

    * Align center.

    * Align right.

    * Align justify.

Defines computer code text.

The text from this tag will not be showed in the index, this is as 'Read more'

Defines an unordered list.

Defines the start of an ordered list.

Defines the start of a list item.

Defines the color of the selected text.

Defines the background color of the selected text.

Defines the size of the selected text.

The sup tag defines superscript text.

The sub tag defines subscript text.

Renders as teletype or mono spaced text.

Defines a citation.

Indicates an abbreviated form, like "Inc.", "etc.".

The acronym tag defines the start of an acronym, like "NATO".
"""

image_help="""You can to select the local image you want to add to your blog article. 
Press the button and choose an local image. You also can to edit the image in Edit tab.


[Wordpress]
The image will be uploaded to the Wordpress upload directory when the article is published, you would have to set Wordpress so that you can uploading files. This can be found in preferences Wordpress (Options-> Miscellaneous). Generally is active for default.

[Blogger]
These images will be uploaded to Picasa Web Albums when the article is published.

If you have never used Picasa you will have to activate it.
Go to http://picasaweb.google.com/ and log in with your Google account.

[Common]
Remote image: Write a image link in the text entry, for example: http://www.example.com/image.png

Alternative text: The second section is the alternative text of the image. This defines a short description of the image.

Cache: When you edit a photo and add it to an article, a temporary image will be created, until the image is upload to the server.
In the cache will be listed the edited images that you have added to an article and it hasn't been uploaded yet.
From the cache you will be able to delete it.

An example of this use: you edit an image to add to an article, and save the article without publishing it.
The image will be saved until the article is published, if for any reason you decide not to publish this article, the image will remain saved and you will be able to delete it from the cache.
"""

image_html_help="""Align: You can choose your image alignment: left (default), center or right.

HTML Size: You can also choose your image size. This really doesn't resize your image but the image will be shown with this size in your article. It's a html tag.
"""

image_edition_help="""You can to do some operations of edition of images.

First, you must choose a local image in Set Image tab or a screenshot in the corresponding button.

A thumbnail of the image will appear in Edit tab. This thumbnail will be updated as it's edited by the different options, but it will not be saved every time. To save the edited image and to add it to an article you will have to press in End Edition button. Hereby there will be created a temporary image. You can define the filename for this temporary image.

This image will be uploaded when the article is published to your Wordpress upload directory or to Picasa Web Albums, depending you are using Wordpress or Blogger.

Options:

Preview Image: you can preview the image edited to a major size, but it's not the real size of the image.

Save Image: To save the edited image in a local file.

Refresh: It will erase the changes done on the image and will update to the last image saved with "End Edition", screenshot or in its fault to the local image defined previously.

Edition Operations:

Resize: resize the image to a certain size.

Crop: you can crop an image to a certain size.
You can define the size numerically or do it selecting a certain region in the thumbnail of the image.

Rotate: rotate the image.

Flip: flip the image.

Screenshot: Grab a screenshot. You can define the time to which the screenshot is grabbed.

Filters: Realize some filter operations on the image as:

Color: adjust the color balance of an image. If you leave this property at its minimum, you will obtain an image in black and white.

Brightness: control the brightness of an image.

Invert: it inverts the colors of the image.

Contour: I don't know as explain this, so try it.
"""

image_flickr_help="""Note: to be able to use this function, you will have to authorize Maemo Wordpy access to your Flickr account. It's done from the preferences dialog.

Get Photos: It will obtain a list of your photos in Flickr. The quantity of photos that has the list can be configured from the preferences dialog.

Pages: If all your photos haven't been obtained in the first page, the following pages will have more photos. This way you will have to increase the number of page and press again in Get Photos button.

Sizes: These are the available sizes of each one of the photos. When you want to add a photo to your article, you can to choose the size more convenient for your article.

Add: Add the Flickr photo url at the text entry of the main image dialog (Set image tab). This url will be inserted in your article.
"""

preferences_accounts_help="""Add account:

Wordpress:
Select Wordpress in System field.
Account: This one is the account title, any name is allowed. It's a name in order that you can identify easily this account.
URL: you must put your blog XML-RPC file address.
It will have to be similar to this: http://www.yourblog.com/xmlrpc.php
User: your Wordpress username
Password: your Wordpress password.

Blogger:
Select Blogger in System field.
Account: This one is the account title, any name is allowed. It's a name in order that you can identify easily this account.
URL: not used in Blogger, though you write something here it will not be used.
User: your Google ID.
Password: your Google Password.

Modify account:
Select an account and to press in modify button, or double press in the account to modifying.

A dialog will appear and you will can to modify the selected account.
When you have modified the account to press in Save, to save this account. If you don't want to do the changes, press in Cancel.

Delete account:
It will delete the selected account..
"""

preferences_flickr_help="""Photos per page: This option is used when you want to insert a Flickr image in your article. For this you must go to the insert image dialog, in the Flickr tab. There is a button to obtain the image list that you have in Flickr, whenever you press in the button Get, you will obtain the number of images that you have chosen in this option.
If you choose "Get 10 photos per page", it will obtain a list of 10 photos for every page.
You can write a greater number here to obtain the list with more photos, but it will be late more time in obtaining the list, since it will receive more data from Flickr.

Authorize: When you want to use Flickr's functions (Flickr upload or to be able to insert Flickr images in your articles), you must authorize Maemo Wordpy to use your photos in Flickr.
When you press in the Authorize button the browser will be opened and you will need log in Flickr with your information to give the permission to Maemo Wordpy. As soon as you do it, you will be able to use Flickr's functions in Maemo Wordpy, this will be saved in the options and you won't have to authorize whenever you are going to use a Flickr function.
"""

preferences_others_help="""Get articles: With this option you will obtain this number of articles in the delete articles list. 
How many more articles are obtained, it will be late more time, but you can try with different values to have an idea as it works.

Font Size: This option will allow you to define the text size showed in Maemo WordPy.
Not to confuse with the text size that will be showed in your blog.

Scrollbars finger-friendly (only OS2008): If this option is activated, when exist scrollbars in the UI it will be scrollbars thicker, perfect to use with the fingers. If it's deactivated it will show scrollbars thin.
"""

blogger_labels_help="""What are blogger labels?
Blogger labels let you organize your posts according to keywords.
It works like categories or tags.

Separate each label by means of ,

Examples:
label1, label2, label with multiple words, label3
"""

flickr_upload_help="""Title: write the image title.

Tags:
Separate each tag with spaces as in the flickr web upload.

Examples:
tag1 tag2 "tag3 with spaces" tag4

Options tab:
Write the image description, select the image type (public or private).

You can add also the image to a set that you have defined in Flickr.

"""
